#encoding: UTF-8

=begin
/******************************************************************************
 *   Copyright © 2017-2017, Michael Uplawski <michael.uplawski@uplawski.eu>   *
 *                                                                            *
 *   This program is free software; you can redistribute it and/or modify     *
 *   it under the terms of the GNU General Public License as published by     *
 *   the Free Software Foundation; either version 3 of the License, or        *
 *   (at your option) any later version.                                      *
 *                                                                            *
 *   This program is distributed in the hope that it will be useful,          *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *   GNU General Public License for more details.                             *
 *                                                                            *
 *   You should have received a copy of the GNU General Public License        *
 *   along with this program; if not, write to the                            *
 *   Free Software Foundation, Inc.,                                          *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                *
 ******************************************************************************/
=end

# An object of this class is representing a historical event.
class Event

  def initialize(ev)
    @title = ev[0] 
    @year = ev[1]
    @detail = ev[2]
    @disp_index = 0
  end

  def to_s
    str = '' << self.class.name << '{ title=' << @title << ', year=' << @year.to_s << ', detail=' << @detail << ', disp_index=' << @disp_index.to_s << '}'
  end
  attr_reader :title, :year, :detail
  attr_accessor :disp_index
end
#EOF

